API Referenceapipatient-graphPATCH /v1/medications/{id}/status

PATCH /v1/medications/\{id\}/status

Service: patient-graph · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Request body

{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "enum": [
        "active",
        "paused",
        "discontinued",
        "completed"
      ]
    }
  },
  "required": [
    "status"
  ]
}

Responses

200 Medication status updated

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "patient_id": {
      "type": "string"
    },
    "brand_id": {
      "type": "string"
    },
    "name": {
      "type": "string"
    },
    "dosage": {
      "type": "string"
    },
    "frequency": {
      "type": "string"
    },
    "route": {
      "type": [
        "string",
        "null"
      ]
    },
    "prescriber_id": {
      "type": [
        "string",
        "null"
      ]
    },
    "status": {
      "type": "string"
    },
    "started_at": {
      "type": "string"
    },
    "ended_at": {
      "type": [
        "string",
        "null"
      ]
    },
    "notes": {
      "type": [
        "string",
        "null"
      ]
    },
    "metadata": {
      "type": "object",
      "additionalProperties": {}
    },
    "created_at": {
      "type": "string"
    },
    "updated_at": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "patient_id",
    "brand_id",
    "name",
    "dosage",
    "frequency",
    "route",
    "prescriber_id",
    "status",
    "started_at",
    "ended_at",
    "notes",
    "metadata",
    "created_at",
    "updated_at"
  ]
}

404 Medication not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X PATCH https://patient-graph.platform.loop.health/v1/medications/{id}/status \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'